Package ru.bitel.bgbilling.modules.smarthouse.common.bean.dvor24

# Class Dvor24User

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.dvor24.Dvor24User

public class Dvor24User extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dvor24User()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getBalance()`
  `String`
  `getCustomName()`
  `String`
  `getEmail()`
  `String`
  `getLastOnlinePlatform()`
  `int`
  `getLastOnlineTime()`
  `String`
  `getLogin()`
  `String`
  `getName()`
  `String`
  `getPhone()`
  `int`
  `getRoomNum()`
  `String`
  `getType()`
  `String`
  `getTypeActivation()`
  `String`
  `getTypePremises()`
  `int`
  `getVolume()`
  `boolean`
  `isAccessDvr()`
  `boolean`
  `isEnabled()`
  `void`
  `setAccessDvr(boolean accessDvr)`
  `void`
  `setBalance(BigDecimal balance)`
  `void`
  `setCustomName(String customName)`
  `void`
  `setEmail(String email)`
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setLastOnlinePlatform(String lastOnlinePlatform)`
  `void`
  `setLastOnlineTime(int lastOnlineTime)`
  `void`
  `setLogin(String login)`
  `void`
  `setName(String name)`
  `void`
  `setPhone(String phone)`
  `void`
  `setRoomNum(int roomNum)`
  `void`
  `setType(String type)`
  `void`
  `setTypeActivation(String typeActivation)`
  `void`
  `setTypePremises(String typePremises)`
  `void`
  `setVolume(int volume)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Dvor24User

    public Dvor24User()

- ## Method Details

  - ### getLastOnlineTime

    public int getLastOnlineTime()

  - ### getLastOnlinePlatform

    public String getLastOnlinePlatform()

  - ### getBalance

    public BigDecimal getBalance()

  - ### getCustomName

    public String getCustomName()

  - ### getType

    public String getType()

  - ### getPhone

    public String getPhone()

  - ### isEnabled

    public boolean isEnabled()

  - ### getLogin

    public String getLogin()

  - ### getEmail

    public String getEmail()

  - ### isAccessDvr

    public boolean isAccessDvr()

  - ### getRoomNum

    public int getRoomNum()

  - ### getTypeActivation

    public String getTypeActivation()

  - ### getTypePremises

    public String getTypePremises()

  - ### getName

    public String getName()

  - ### getVolume

    public int getVolume()

  - ### setLastOnlineTime

    public void setLastOnlineTime(int lastOnlineTime)

  - ### setLastOnlinePlatform

    public void setLastOnlinePlatform(String lastOnlinePlatform)

  - ### setBalance

    public void setBalance(BigDecimal balance)

  - ### setCustomName

    public void setCustomName(String customName)

  - ### setType

    public void setType(String type)

  - ### setPhone

    public void setPhone(String phone)

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### setLogin

    public void setLogin(String login)

  - ### setEmail

    public void setEmail(String email)

  - ### setAccessDvr

    public void setAccessDvr(boolean accessDvr)

  - ### setRoomNum

    public void setRoomNum(int roomNum)

  - ### setTypeActivation

    public void setTypeActivation(String typeActivation)

  - ### setTypePremises

    public void setTypePremises(String typePremises)

  - ### setName

    public void setName(String name)

  - ### setVolume

    public void setVolume(int volume)